org.apache.ignite.internal.processors.cache.persistence.pagemem

## Class PageMetricsImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.pagemem.PageMetricsImpl

All Implemented Interfaces:
  PageMetrics

    public class PageMetricsImpl
    extends Object
    implements PageMetrics

### Nested Class Summary

Nested Classes
`static class` `PageMetricsImpl.Builder` Builder for `PageMetricsImpl` instances.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PageMetricsImpl.Builder` `builder(MetricRegistry metricRegistry)`
`LongAdderMetric` `indexPages()` Number of index pages loaded into memory.
`void` `reset()` Resets all metric counters.
`LongAdderMetric` `totalPages()` Total number of allocated pages.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### builder

    public static PageMetricsImpl.Builder builder(MetricRegistry metricRegistry)

Parameters:
  `metricRegistry` - Metric registry.

#### totalPages

    public LongAdderMetric totalPages()

Total number of allocated pages.

Specified by:
  `totalPages` in interface `PageMetrics`

#### indexPages

    public LongAdderMetric indexPages()

Number of index pages loaded into memory.

Specified by:
  `indexPages` in interface `PageMetrics`

#### reset

    public void reset()

Resets all metric counters.

Specified by:
  `reset` in interface `PageMetrics`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022